Billing
Get team billing usage
Returns billing usage for the specified team and billing period.
Customer callers may only access their own team and must hold
billing:read.
GET
/
teams
/
{team_id}
/
billing
/
usage
Get team billing usage
curl --request GET \
--url https://api.superserve.ai/teams/{team_id}/billing/usage \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.superserve.ai/teams/{team_id}/billing/usage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.superserve.ai/teams/{team_id}/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period_id": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"vcpu_seconds": 123,
"memory_mib_seconds": 123,
"storage_mib_seconds": 123,
"cpu_vcpu_hours": 123,
"memory_gib_hours": 123,
"storage_gib_hours": 123,
"resources": [
{
"resource_key": "<string>",
"resource": "<string>",
"display_name": "<string>",
"sort_order": 123,
"unit": "<string>",
"display_unit": "<string>",
"usage": 123,
"tracked": true,
"billable": true
}
],
"updated_at": "2023-11-07T05:31:56Z",
"resources_by_key": {},
"exported_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Response
Team billing usage for the requested period
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get team billing usage
